Loading...
Searching...
No Matches
graph_to_eps.h File Reference
Input-Output » Postscript Exporting
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <algorithm>`
`#include <vector>`
`#include <sys/time.h>`
`#include <ctime>`
`#include <lemon/math.h>`
`#include <lemon/core.h>`
`#include <lemon/dim2.h>`
`#include <lemon/maps.h>`
`#include <lemon/color.h>`
`#include <lemon/bits/bezier.h>`
`#include <lemon/error.h>`

## Classes

struct | DefaultGraphToEpsTraits< GR >
| Default traits class of GraphToEps. More...
class | GraphToEps< T >
| Auxiliary class to implement the named parameters of graphToEps(). More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

template<class GR>
GraphToEps< DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, std::ostream &os=std::cout)
| Generates an EPS file from a graph.
template<class GR>
GraphToEps< DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, const char *file_name)
| Generates an EPS file from a graph.
template<class GR>
GraphToEps< DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, const std::string &file_name)
| Generates an EPS file from a graph.